#include "test_str8.h"
#include "test_allocator.h"
#include "test_arena.h"
#include "test_cpath.h"
#include "test_shell_commander.h"
#include "tester.h"
#include <stdlib.h>



int main(void) {
  wapp_tester_run_tests(test_arena_allocator, test_arena_init, test_arena_init_succeeds_when_reserving_very_large_size,
                        test_str8_lit, test_str8_lit_ro, test_str8_buf, test_str8_get_index_within_bounds,
                        test_str8_get_index_out_of_bounds, test_str8_set, test_cpath_join_path, test_cpath_dirname,
                        test_cpath_dirup, test_arena_alloc_succeeds_when_within_capacity, test_arena_alloc_fails_when_over_capacity,
                        test_arena_realloc_bigger_size, test_arena_realloc_smaller_size, test_arena_clear,
                        test_arena_destroy, test_commander_cmd_success, test_commander_cmd_failure,
                        test_commander_cmd_out_buf_success, test_commander_cmd_out_buf_failure);

  return EXIT_SUCCESS;
}
